<?php

namespace App\Notification\Stringifiable;

use App\Notification\Stringifiable;

class StringifiableSimpleText extends Stringifiable {
    private string $text;

    public function __construct(string $text) {
        $this->text = $text;
    }

    /**
     * @inheritDoc
     */
    public function toHTMLString(): string {
        return $this->text;
    }

    /**
     * @inheritDoc
     */
    public function toMarkdownString(): string {
        return $this->text;
    }

    /**
     * @inheritDoc
     */
    public function toString(): string {
        return $this->text;
    }
}
